> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Change (U/V/Reroll)

> POST /mj/submit/change — upscale, vary or reroll an existing task

Perform a follow-up action on a completed Midjourney task: Upscale, Variation, or Reroll.

## Request

```bash theme={null}
curl https://openp.ai/mj/submit/change \
  -H "Authorization: Bearer $OPENPAI_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "taskId": "1737200000000000",
    "action": "UPSCALE",
    "index": 1
  }'
```

### Parameters

| Field        | Type    | Required | Description                        |
| ------------ | ------- | :------: | ---------------------------------- |
| `taskId`     | string  |     ✅    | The task ID from the previous step |
| `action`     | string  |     ✅    | `UPSCALE` / `VARIATION` / `REROLL` |
| `index`      | integer |          | 1-4, which cell U/V refers to      |
| `notifyHook` | string  |          | Callback URL                       |
| `state`      | string  |          | Custom pass-through                |

### Other action endpoints

| Endpoint                   | Use                              |
| -------------------------- | -------------------------------- |
| `POST /mj/submit/blend`    | Blend multiple images            |
| `POST /mj/submit/describe` | Reverse-engineer a prompt        |
| `POST /mj/submit/zoom`     | Zoom-out expansion               |
| `POST /mj/submit/pan`      | Horizontal / vertical extension  |
| `POST /mj/submit/modal`    | Advanced modal-window operations |

## Response

Same as the [Imagine](/en/api-reference/midjourney/imagine) response, returning a new task ID.
